Imports System.Windows.Forms

    Friend Class ToolStripHelper
        Friend Shared Sub MoveToFirst(bnvNavMoveFirstItem As ToolStripButton, bnvNavMovePreviousItem As ToolStripButton, bnvNavMoveNextItem As ToolStripButton, bnvNavMoveLastItem As ToolStripButton)
            bnvNavMoveFirstItem.Enabled = False
            bnvNavMovePreviousItem.Enabled = False
            bnvNavMoveNextItem.Enabled = True
            bnvNavMoveLastItem.Enabled = True
        End Sub

        Friend Shared Sub MoveToPrevious(bnvNavMoveFirstItem As ToolStripButton, bnvNavMovePreviousItem As ToolStripButton, bnvNavMoveNextItem As ToolStripButton, bnvNavMoveLastItem As ToolStripButton, currentRecordNumber As Integer)
            bnvNavMoveNextItem.Enabled = True
            bnvNavMoveLastItem.Enabled = True

            If currentRecordNumber = 1 Then
                bnvNavMoveFirstItem.Enabled = False
                bnvNavMovePreviousItem.Enabled = False
            End If
        End Sub

        Friend Shared Sub MoveToNext(bnvNavMoveFirstItem As ToolStripButton, bnvNavMovePreviousItem As ToolStripButton, bnvNavMoveNextItem As ToolStripButton, bnvNavMoveLastItem As ToolStripButton, currentPageNumber As Integer, totalNumberOfPages As Integer)
            bnvNavMoveFirstItem.Enabled = True
            bnvNavMovePreviousItem.Enabled = True

            If currentPageNumber = totalNumberOfPages Then
                bnvNavMoveNextItem.Enabled = False
                bnvNavMoveLastItem.Enabled = False
            End If
        End Sub

        Friend Shared Sub MoveToLast(bnvNavMoveFirstItem As ToolStripButton, bnvNavMovePreviousItem As ToolStripButton, bnvNavMoveNextItem As ToolStripButton, bnvNavMoveLastItem As ToolStripButton)
            bnvNavMoveFirstItem.Enabled = True
            bnvNavMovePreviousItem.Enabled = True
            bnvNavMoveNextItem.Enabled = False
            bnvNavMoveLastItem.Enabled = False
        End Sub
    End Class
